Skip to content

getWorkCenters

READ

Get work centers.

POST /api/v1/resources/getWorkCenters
curl -X POST '<your-host>/api/v1/resources/getWorkCenters' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "search": "string"
  }'
Response
{
  "results": [
    {
      "active": true,
      "alwaysOn": true,
      "batchCapacity": 0,
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "defaultStandardFactor": "Hours/Piece",
      "departmentId": "string",
      "departmentName": "string",
      "description": "string",
      "id": "string",
      "laborRate": 0,
      "locationId": "string",
      "locationName": "string",
      "machineRate": 0,
      "minimumBatchQuantity": 0,
      "name": "string",
      "overheadRate": 0,
      "processes": [
        "string"
      ],
      "requiredAbilityId": "string",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "search": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "object",
          "properties": {
            "limit": {
              "type": "integer",
              "default": 100
            },
            "offset": {
              "type": "integer",
              "default": 0
            }
          }
        }
      ]
    }
  },
  "required": [
    "search"
  ]
}